\documentclass[varwidth,convert]{standalone}

\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{kpfonts}
\usepackage{fancybox}
\usepackage{pst-eucl}
\usepackage{diagbox}% à mettre après pst-eucl
\usepackage{graphicx,pstricks,pst-plot,pst-node}
\usepackage{pstricks-add}
\usepackage{pifont}

\standaloneconfig{
  border=7pt,
}

\begin{document}
\begin{pspicture}(10,6)
\def\aeroport{\psset{unit=0.4cm}\psframe(1,1)
\psline[linewidth=1.8pt](0.35,0)(0.5,0.15)(0.65,0)(0.5,0.15)(0.5,1)\pspolygon*[fillstyle=solid](0.5,0.8)(0,0.3)(0.5,0.4)(1,0.3)(0.5,0.8)}
%\psgrid
\pspolygon[linewidth=1.8pt,fillstyle=solid,fillcolor=lightgray](0.3,0.9)(1.2,0.6)(1.5,1.1)(1.2,1.8)(1,2)(0.9,1.6)(0.7,1.45)(0.6,1.3)(0.3,1.1)
\rput(1,0.2){\textbf{TOULOUSE}}
\uput[r](4.4,2){Légende :}
\uput[r](5,1.4){Sortie d'autoroute}
\uput[r](5,0.85){kilomètres}
\uput[r](5.1,0.2){Aéroport}
\psline[linewidth=1.8pt,linejoin=1](1.65,1)(1.7,1.4)(1.55,1.6)(1.4,1.8)(1.1,2.1)
\psline[linewidth=1.8pt,linejoin=1](1.4,1.8)(1.8,2)(1.9,2.2)(2,2.5)(2.4,3.)(3,3)(3.3,3.3)(3.8,3.7)(4.3,4)(4.7,4)(5.5,4.2)(6.5,4.5)(7.5,4.4)(8.6,5.2)(8.8,5)(9.2,5.05)(9.4,5.3)(9.3,5.7)
\psline[linewidth=1.8pt,linejoin=1](1.6,2.2)(2,2)
\psdots[dotscale=1.4](1.7,1.2)(1.55,1.55)(1.4,1.8)(8.8,5)(9.1,5.05)(9.4,5.25)(9.3,5.6)
\pscurve[linewidth=1.8pt,fillstyle=solid,fillcolor=lightgray](8.8,5.2)(9.1,5.25)(9.2,5.4)(9,5.6)(8.7,5.4)(8.8,5.2)
\rput(8.4,5.7){\textbf{ALBI}}
\rput(1.2,2.4){péage}
%\rput(2.1,2.4){\small\ding{204}}
\scalebox{0.5}{\pscircle*(4.2,4.8){0.3}\rput(4.2,4.8){\white \bf 3}}
%\rput(3.35,3.2){\small\ding{207}}
\scalebox{0.5}{\pscircle*(6.7,6.4){0.3}\rput(6.7,6.4){\white \bf 6}}
%\rput(3.85,3.6){\small\ding{208}}
\scalebox{0.5}{\pscircle*(7.7,7.2){0.3}\rput(7.7,7.2){\white \bf 7}}
%\rput(5.8,4.4){\small\ding{210}}
\scalebox{0.5}{\pscircle*(11.6,9){0.3}\rput(11.6,9){\white \bf 9}}
\rput(1.8,1.8){7}\rput(2.7,2.8){13}\rput(3.3,3.7){6}
\rput(4.6,3.8){16}\rput(7,4.6){16}
\psframe(4.2,0)(8,2.4)
\rput(0,1.5){\aeroport}
\rput(4.6,0.1){\aeroport}
\rput(4.7,1.4){\small\ding{203}}
\rput(4.7,0.85){16}

\scalebox{0.5}{\pscircle*(16.1,10.2){0.3}\rput(16.1,10.2){\white \bf 11}}

\end{pspicture}
\end{document}
